<div class="component-correct-width">
  <div fxLayout="row">
    <div fxLayout="column" fxFlex="45%">
      <div class="bheader">{{weeklyDailyMenus && weeklyDailyMenus[0]?.dailyMenuDate | date: 'MMMM y'}}</div>
    </div>
    <div fxLayout="column" fxFlex="25%">
      <app-hungry-nav-bar>
      </app-hungry-nav-bar>
    </div>
    <div fxLayout="column" fxFlex="30%" fxLayoutAlign="start start">
      <nav class="mdl-navigation">
        <button [routerLink]="['/hungry', getPreviousYear(), getPreviousWeek()]" md-raised-button color="accent">
            Previous Week
            </button>
        <button [disabled]="route.url==='/hungry'" routerLink="/hungry" *ngIf="route.url==='/hungry' " md-raised-button color="primary">
            Current Week
            </button>
        <button [disabled]="route.url==='/hungry'" routerLink="/hungry" *ngIf="route.url!=='/hungry' " md-raised-button color="accent">
            Current Week
            </button>
        <button [routerLink]="['/hungry', getNextYear(), getNextWeek()]" md-raised-button color="accent">
            Next Week
            </button>
      </nav>
    </div>
  </div>
  <md-spinner class="big-spinner" *ngIf="loading"></md-spinner>
  <div *ngIf="!loading">
    <div>
      <md-card *ngFor="let dmfc of dailyMenuFoodsByCategory" class="card">
        <span>{{dmfc.dailyMenuDate | date: 'EEEE / d'}}</span>
        <div *ngIf="dmfc.dailyMenuId==null">
          <p class="pullMeCenter noMeal" style="margin-top:4em">
            <i class="material-icons">mood_bad</i>&nbsp;&nbsp;&nbsp;Today there is no menu prepared! Some fasting will be
            good for you ;)
          </p>
        </div>
        <ul style="margin-top:3em" *ngIf="dmfc.dailyMenuId!=null">
          <app-daily-order-form [dailyMenuFoodsByCategory]="dmfc" (changedTotalPrice)="handleChangeOfDailyOrderPrice($event)"></app-daily-order-form>
        </ul>
      </md-card>
    </div>
    <div fxLayout="row">
      <div fxLayout="column" fxFlex="45%">
      </div>
      <div fxLayout="column" fxFlex="25%">
      </div>
      <div fxLayout="column" fxFlex="30%" fxLayoutAlign="start start">
        <nav class="mdl-navigation">
          <button [routerLink]="['/hungry', getPreviousYear(), getPreviousWeek()]" md-raised-button color="accent">
            Previous Week
          </button>
          <button [disabled]="route.url==='/hungry'" routerLink="/hungry" *ngIf="route.url==='/hungry' " md-raised-button color="primary">
            Current Week
          </button>
          <button [disabled]="route.url==='/hungry'" routerLink="/hungry" *ngIf="route.url!=='/hungry' " md-raised-button color="accent">
            Current Week
          </button>
          <button [routerLink]="['/hungry', getNextYear(), getNextWeek()]" md-raised-button color="accent">
            Next Week
          </button>
        </nav>
      </div>
    </div>
    <div>
      <md-card>
        <div>
          <span class="pullMeLeft">Your weekly total:</span><span class="pullMeRight">{{weeklyTotal.toLocaleString()}} &nbsp;<span [innerHTML]="globalSettingsService.getCurrency() | async"></span></span>
        </div>
        <div>
          <md-list>
            <div class="borderTopBottom">
              <i class="material-icons">info</i>&nbsp;&nbsp;Deadline for signing-up for the next day's meal is by&nbsp;
              <span [innerHTML]="globalSettingsService.getDeadLine() | async | date: 'HH:mm'"></span>&nbsp; of the previous
              day. Make sure that you entered your name in the respective online list and saved the file.
            </div>
            <div>
              <span>Notes:</span>
            </div>
            <div class="borderTop" [innerHTML]="globalSettingsService.getNotes() | async">
            </div>
          </md-list>
        </div>
      </md-card>
    </div>
    <md-card-title>
    </md-card-title>
  </div>
</div>
